---
# Cop supports --autocorrect.
RSpec/HooksBeforeExamples:
  Exclude:
    - 'ee/spec/features/boards/swimlanes/epics_swimlanes_spec.rb'
    - 'ee/spec/graphql/mutations/boards/epic_boards/destroy_spec.rb'
    - 'ee/spec/graphql/mutations/incident_management/escalation_policy/destroy_spec.rb'
    - 'ee/spec/graphql/mutations/incident_management/issuable_resource_link/create_spec.rb'
    - 'ee/spec/graphql/mutations/incident_management/issuable_resource_link/destroy_spec.rb'
    - 'ee/spec/graphql/mutations/incident_management/oncall_schedule/destroy_spec.rb'
    - 'ee/spec/graphql/mutations/incident_management/oncall_schedule/update_spec.rb'
    - 'ee/spec/graphql/mutations/issues/set_escalation_policy_spec.rb'
    - 'ee/spec/graphql/types/app_sec/fuzzing/coverage/corpus_type_spec.rb'
    - 'ee/spec/graphql/types/dast/profile_schedule_type_spec.rb'
    - 'ee/spec/graphql/types/dast/profile_type_spec.rb'
    - 'ee/spec/lib/ee/gitlab/checks/push_rule_check_spec.rb'
    - 'ee/spec/lib/ee/gitlab/usage_data_counters/hll_redis_counter_spec.rb'
    - 'ee/spec/lib/gitlab/analytics/cycle_analytics/summary/group/stage_summary_spec.rb'
    - 'ee/spec/models/ee/merge_request_diff_spec.rb'
    - 'ee/spec/requests/api/boards_spec.rb'
    - 'ee/spec/requests/ee/projects/deploy_tokens_controller_spec.rb'
    - 'ee/spec/services/ee/groups/deploy_tokens/create_service_spec.rb'
    - 'ee/spec/services/ee/groups/deploy_tokens/destroy_service_spec.rb'
    - 'ee/spec/services/ee/groups/deploy_tokens/revoke_service_spec.rb'
    - 'ee/spec/services/ee/projects/deploy_tokens/destroy_service_spec.rb'
    - 'ee/spec/services/merge_trains/create_pipeline_service_spec.rb'
    - 'qa/qa/specs/features/api/1_manage/project_access_token_spec.rb'
    - 'qa/qa/specs/features/api/1_manage/user_access_termination_spec.rb'
    - 'qa/qa/specs/features/api/1_manage/user_inherited_access_spec.rb'
    - 'qa/qa/specs/features/browser_ui/1_manage/login/log_in_with_2fa_spec.rb'
    - 'qa/qa/specs/features/browser_ui/1_manage/login/register_spec.rb'
    - 'qa/qa/specs/features/browser_ui/1_manage/project/project_access_token_spec.rb'
    - 'qa/qa/specs/features/browser_ui/1_manage/user/follow_user_activity_spec.rb'
    - 'qa/qa/specs/features/browser_ui/1_manage/user/user_inherited_access_spec.rb'
    - 'qa/qa/specs/features/browser_ui/3_create/merge_request/revert/revert_commit_spec.rb'
    - 'qa/qa/specs/features/browser_ui/3_create/web_ide_old/open_fork_in_web_ide_spec.rb'
    - 'qa/qa/specs/features/ee/api/1_manage/user/minimal_access_user_spec.rb'
    - 'qa/qa/specs/features/ee/browser_ui/1_manage/group/group_saml_enforced_sso_git_access_spec.rb'
    - 'qa/qa/specs/features/ee/browser_ui/1_manage/group/group_saml_enforced_sso_new_account_spec.rb'
    - 'qa/qa/specs/features/ee/browser_ui/1_manage/group/group_saml_non_enforced_sso_spec.rb'
    - 'qa/qa/specs/features/ee/browser_ui/1_manage/group/prevent_forking_outside_group_spec.rb'
    - 'qa/qa/specs/features/ee/browser_ui/1_manage/ldap/admin_ldap_sync_spec.rb'
    - 'qa/qa/specs/features/ee/browser_ui/1_manage/user/minimal_access_user_spec.rb'
    - 'qa/spec/specs/runner_spec.rb'
